Ext.ns('Nexts.module');

Nexts.module.MenuModule = Ext.extend(Nexts.module.Module, {
	mtype : 'menu',

	iconCls: 'ne-menumodule-icon',

	shortcutIconCls: 'ne-menumodule-shortcut',

	initModule: function() {
		Nexts.module.MenuModule.superclass.initModule.call(this);
	},

	initMenu: function() {
		if (!this.menuInited) {
			this.menu = this.menu || new Ext.menu.Menu();
			this.launcher.menu = this.menu;

			for (var i = 0; i < this.items.length; i++) {
				var m = this.manager.getModule(this.items[i]);
				if (m) {
					if (m.mtype == 'menu') {
						m.initMenu();
					}
					this.menu.add(m.launcher);
				}
			}
			
			this.menuInited = true;
		}
	},
	
	launchModule: function() {
		return false;
	}
});

